GitHub auth start
POST
application/json- body
intent?Intentsign_in (the /login button) only signs into an account already linked to this GitHub account, or one it is invited to: GitHub shares no verified email with Veriom, so an email account cannot be recognised and a second one is not made. sign_up may create the account.
Default
"sign_up"Value in
"sign_up""sign_in"next?NextLength
1 <= length <= 500Default
"/onboarding"pending_installation_id?|nullturnstile_token*Turnstile TokenLength
1 <= length <= 4096Successful Response
application/json- response
authorization_url*Authorization Urlcurl -X POST 'https://api.veriom.ai/v1/github/auth/start' \ -H 'Content-Type: application/json' \ -d '{ "turnstile_token": "string"}'Example Response
{ "authorization_url": "string"}